| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
ea_filesystem.hpp File Reference
Private

filesystem dependent Extended Attributes operationsThis file contains a set of routines used to manipulate (read, write or test the presence of) Extended Attributes More...

`#include "../my_config.h"`
`#include <string>`
`#include "ea.hpp"`
`#include "mask.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Functions
ea_attributs * | libdar::ea_filesystem_read_ea (const std::string &chemin, const mask &filter, memory_pool *p)
| read EA associated to a given file More...
bool | libdar::ea_filesystem_write_ea (const std::string &chemin, const ea_attributs &val, const mask &filter)
| overwrite some attribute to a given file's attribute list More...
void | libdar::ea_filesystem_clear_ea (const std::string &name, const mask &filter, memory_pool *p)
| remove all EA of a given file that match a given mask More...
bool | libdar::ea_filesystem_has_ea (const std::string &name, memory_pool *p)
| test the presence of EA for a given file More...
bool | libdar::ea_filesystem_has_ea (const std::string &name, const mask &filter, memory_pool *p)
| test the presence of EA for a given file More...

## Detailed Description

filesystem dependent Extended Attributes operations

This file contains a set of routines used to manipulate (read, write or test the presence of) Extended Attributes

Definition in file ea_filesystem.hpp.